/*
 * actions.h part of flexi-cgi
 * Copyright (C) 2000 V.R.Sanders
 *
 * see flexi-cgi.c for details
 */

typedef struct
{
    int(* proc)(fx_week * ,const char * ,const char * ,const char *);
    char * actn;
} action_t;

/* action dispatcher routine */
int action(fx_week * ,const char * ,const char * ,const char * ,const char *);

/* support functions for dispatcher */
int check_match(const char * string,char * cmnd);

/* action functions */
int week_input(fx_week * ,const char * ,const char * ,const char * );
int acc_maint(fx_week * ,const char * ,const char * ,const char * );
int list_leave(fx_week * ,const char * ,const char * ,const char * );
int list_weeks(fx_week * ,const char * ,const char *,const char * );
int list_summaries(fx_week * ,const char * ,const char * ,const char *);
int list_general_summary(fx_week * ,const char * ,const char * ,const char * );
int list_4week_summary(fx_week * ,const char * ,const char * ,const char * );
int list_full_summary(fx_week * ,const char * ,const char * ,const char * );
